MatrixSizeDialog Class Reference

Matrix dimensions dialog. More...

`#include <MatrixSizeDialog.h>`

Inheritance diagram for MatrixSizeDialog:

## Public Member Functions

| MatrixSizeDialog (Matrix *m, QWidget *parent=0, Qt::WFlags fl=0)
| Constructor. More...

## Private Slots

void | accept ()
| Accept changes and quit. More...
void | apply ()
| Apply changes. More...

## Private Attributes

QSpinBox * | boxCols
QSpinBox * | boxRows
DoubleSpinBox * | boxXEnd
DoubleSpinBox * | boxXStart
DoubleSpinBox * | boxYEnd
DoubleSpinBox * | boxYStart
QPushButton * | buttonApply
QPushButton * | buttonCancel
QPushButton * | buttonOk
Matrix * | d_matrix
QGroupBox * | groupBox1
QGroupBox * | groupBox2

## Detailed Description

Matrix dimensions dialog.

## Constructor & Destructor Documentation

## MatrixSizeDialog()

MatrixSizeDialog::MatrixSizeDialog | ( | Matrix * | m,
|  | QWidget * | parent = `0`,
|  | Qt::WFlags | fl = `0`
| ) |  |

Constructor.

Parameters

  parent | parent widget
  fl | window flags

References accept(), apply(), boxCols, boxRows, boxXEnd, boxXStart, boxYEnd, boxYStart, buttonApply, buttonCancel, buttonOk, groupBox1, groupBox2, Matrix::numCols(), Matrix::numRows(), DoubleSpinBox::setValue(), Matrix::xEnd(), Matrix::xStart(), Matrix::yEnd(), and Matrix::yStart().

## Member Function Documentation

## accept

void MatrixSizeDialog::accept | ( |  | ) |

private slot

Accept changes and quit.

References apply().

Referenced by MatrixSizeDialog().

## apply

void MatrixSizeDialog::apply | ( |  | ) |

private slot

Apply changes.

References boxCols, boxRows, boxXEnd, boxXStart, boxYEnd, boxYStart, d_matrix, Matrix::setCoordinates(), Matrix::setDimensions(), Matrix::undoStack(), DoubleSpinBox::value(), Matrix::xEnd(), Matrix::xStart(), Matrix::yEnd(), and Matrix::yStart().

Referenced by accept(), and MatrixSizeDialog().

## Member Data Documentation

## boxCols

QSpinBox* MatrixSizeDialog::boxCols

private

Referenced by apply(), and MatrixSizeDialog().

## boxRows

QSpinBox * MatrixSizeDialog::boxRows

private

Referenced by apply(), and MatrixSizeDialog().

## boxXEnd

DoubleSpinBox * MatrixSizeDialog::boxXEnd

private

Referenced by apply(), and MatrixSizeDialog().

## boxXStart

DoubleSpinBox* MatrixSizeDialog::boxXStart

private

Referenced by apply(), and MatrixSizeDialog().

## boxYEnd

DoubleSpinBox * MatrixSizeDialog::boxYEnd

private

Referenced by apply(), and MatrixSizeDialog().

## boxYStart

DoubleSpinBox * MatrixSizeDialog::boxYStart

private

Referenced by apply(), and MatrixSizeDialog().

## buttonApply

QPushButton * MatrixSizeDialog::buttonApply

private

Referenced by MatrixSizeDialog().

## buttonCancel

QPushButton* MatrixSizeDialog::buttonCancel

private

Referenced by MatrixSizeDialog().

## buttonOk

QPushButton* MatrixSizeDialog::buttonOk

private

Referenced by MatrixSizeDialog().

## d_matrix

Matrix* MatrixSizeDialog::d_matrix

private

Referenced by apply().

## groupBox1

QGroupBox* MatrixSizeDialog::groupBox1

private

Referenced by MatrixSizeDialog().

## groupBox2

QGroupBox * MatrixSizeDialog::groupBox2

private

Referenced by MatrixSizeDialog().

The documentation for this class was generated from the following files:

- qtiplot/src/matrix/MatrixSizeDialog.h
- qtiplot/src/matrix/MatrixSizeDialog.cpp